Subject: Re: bug#36780: 26.1; request: savehist should also save log-edit-comment-ring by default

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 23 Aug 2019 07:12:57 +0200

ndame <[email-masked]> writes:

> When committing things with vc I often reuse previous commit messages,
> usually by editing them a bit. So it's very annoying when I restart
> emacs and lose the commit message history.
>
> I now added log-edit-comment-ring to savehist-additional-variables,
> but it should be the default, because minibuffer histories are saved
> by default, so I'd expect vc commit messages are also saved, though it
> does not use the minibuffer, but it is frequently used input field.
>
> I recommend adding 
>
>   (add-to-list 'savehist-additional-variables 'log-edit-comment-ring)
>
> to log-edit.el, so if savehist is enabled then it is saved as well.

`savehist-additional-variables' is explicitly reserved for users to add
stuff to, so I don't think it'd be appropriate for log-edit.el to add
anything to it.

But we could add a new variable, say `savehist-variables', that as a
default value could be

(log-edit-comment-ring)

and anything else the Emacs maintainers think could be saved by default.

Opinions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no